Bug 12860 - Failure reading fstab in upgrade
Failure reading fstab in upgrade
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-23 11:48 EDT by Frank Sweetser
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-12 18:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.1 /etc/fstab (395 bytes, text/plain)
2000-06-23 11:48 EDT, Frank Sweetser
no flags Details

  None (edit)
Description Frank Sweetser 2000-06-23 11:48:13 EDT
Tried to upgrade a fresh redhat 2.1 install, anaconda died while trying to
parse fstab.  Appears to have died on a line containing only '#\012'. 
Trace copied, fstab attached.

File "/usr/bin/anaconda", line 423 in ?
  intf.run(todo, test = test)
File "/usr/lib/anaconda/text.py", line 1000 in run
  rc = apply(step[1](), (dir,) + step[2])
File "/usr/lib/anaconda/text.py", line 827 in upgradeFindPackages
  fstab.readFstab('/mnt/sysimage/etc/fstab', self.fstab)
if fields[0] == '#' and fields[1][0:4] == 'LOOP':
IndexError: list index out of range
Comment 1 Frank Sweetser 2000-06-23 11:48:50 EDT
Created attachment 678 [details]
2.1 /etc/fstab
Comment 2 Michael Fulbright 2000-06-23 17:31:40 EDT
Please setup a RH 2.1 system so I can verify.
Comment 3 Michael Fulbright 2000-06-29 14:53:42 EDT
Fixed in internal version.

Note You need to log in before you can comment on or make changes to this bug.